# Source Generated with Decompyle++
# File: in.pyo (Python 2.5)

import codecs

class Codec(codecs.Codec):
    
    def encode(self, input, errors = 'strict'):
        return codecs.charmap_encode(input, errors, encoding_table)

    
    def decode(self, input, errors = 'strict'):
        return codecs.charmap_decode(input, errors, decoding_table)



class IncrementalEncoder(codecs.IncrementalEncoder):
    
    def encode(self, input, final = False):
        return codecs.charmap_encode(input, self.errors, encoding_table)[0]



class IncrementalDecoder(codecs.IncrementalDecoder):
    
    def decode(self, input, final = False):
        return codecs.charmap_decode(input, self.errors, decoding_table)[0]



class StreamWriter(Codec, codecs.StreamWriter):
    pass


class StreamReader(Codec, codecs.StreamReader):
    pass


def getregentry():
    return codecs.CodecInfo(name = 'cp500', encode = Codec().encode, decode = Codec().decode, incrementalencoder = IncrementalEncoder, incrementaldecoder = IncrementalDecoder, streamreader = StreamReader, streamwriter = StreamWriter)

decoding_table = u'\x00\x01\x02\x03\xc2\x9c\t\xc2\x86\x7f\xc2\x97\xc2\x8d\xc2\x8e\x0b\x0c\r\x0e\x0f\x10\x11\x12\x13\xc2\x9d\xc2\x85\x08\xc2\x87\x18\x19\xc2\x92\xc2\x8f\x1c\x1d\x1e\x1f\xc2\x80\xc2\x81\xc2\x82\xc2\x83\xc2\x84\n\x17\x1b\xc2\x88\xc2\x89\xc2\x8a\xc2\x8b\xc2\x8c\x05\x06\x07\xc2\x90\xc2\x91\x16\xc2\x93\xc2\x94\xc2\x95\xc2\x96\x04\xc2\x98\xc2\x99\xc2\x9a\xc2\x9b\x14\x15\xc2\x9e\x1a \xc2\xa0\xc3\xa2\xc3\xa4\xc3\xa0\xc3\xa1\xc3\xa3\xc3\xa5\xc3\xa7\xc3\xb1[.<(+!&\xc3\xa9\xc3\xaa\xc3\xab\xc3\xa8\xc3\xad\xc3\xae\xc3\xaf\xc3\xac\xc3\x9f]$*);^-/\xc3\x82\xc3\x84\xc3\x80\xc3\x81\xc3\x83\xc3\x85\xc3\x87\xc3\x91\xc2\xa6,%_>?\xc3\xb8\xc3\x89\xc3\x8a\xc3\x8b\xc3\x88\xc3\x8d\xc3\x8e\xc3\x8f\xc3\x8c`:#@\'="\xc3\x98abcdefghi\xc2\xab\xc2\xbb\xc3\xb0\xc3\xbd\xc3\xbe\xc2\xb1\xc2\xb0jklmnopqr\xc2\xaa\xc2\xba\xc3\xa6\xc2\xb8\xc3\x86\xc2\xa4\xc2\xb5~stuvwxyz\xc2\xa1\xc2\xbf\xc3\x90\xc3\x9d\xc3\x9e\xc2\xae\xc2\xa2\xc2\xa3\xc2\xa5\xc2\xb7\xc2\xa9\xc2\xa7\xc2\xb6\xc2\xbc\xc2\xbd\xc2\xbe\xc2\xac|\xc2\xaf\xc2\xa8\xc2\xb4\xc3\x97{ABCDEFGHI\xc2\xad\xc3\xb4\xc3\xb6\xc3\xb2\xc3\xb3\xc3\xb5}JKLMNOPQR\xc2\xb9\xc3\xbb\xc3\xbc\xc3\xb9\xc3\xba\xc3\xbf\\\xc3\xb7STUVWXYZ\xc2\xb2\xc3\x94\xc3\x96\xc3\x92\xc3\x93\xc3\x950123456789\xc2\xb3\xc3\x9b\xc3\x9c\xc3\x99\xc3\x9a\xc2\x9f'
encoding_table = codecs.charmap_build(decoding_table)
